Quick Start

Adding files to the playlist

The first time Carlanthano is run you are presented with an empty album. Firstly, add some multimedia files to the playlist. You can:

  • choose the menu Album->Add to album... then "Add Files..."
  • drag and drop files from explorer into the playlist

Playing files

Now select a file you wish to play from the list. Start it playing by pressing the Play button on the console.

If you receive an error message, you may not have the correct drivers to play the file you have chosen. Please refer to the FAQ and Troubleshooting sections for help.

If you have no trouble playing the file, you may now want to explore the different playmodes in the Modes menu or using the buttons. To see what something does, hold your mouse cursor over the item, and a tooltip will appear.

Saving albums

To save an album, choose "Save" or "Save as..." from the Album menu.

The next time you run Carlanthano it will automatically open the last album.

Tips

Please leave the hints and tips on for while you are learning about Carlanthano's features. Tips can also be reached via the Help menu.

Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


What's New

Version 4.2.1641

  • Song Information, Batch Edit, Find Song section updated
  • Console section updated
  • Menus section updated for edit menu
  • Notes section updated
  • Options section updated, ID3 section

Version 4.1.1569

  • Quick Start updated
  • Scheduler section updated
  • Song Information, Batch Edit, Find Song section updated
  • Options section updated
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


The Console

[ Parts of the console ]
[ Display ]
[ Controls ]
[ Playlist context menu ]
[ Taskbar context menu ]

Parts of the console

Title Bar | Displays details about the currently playing file or the current album name
Menus | See the help on Menus.
Display | See the help on the Display.
Controls | See the help on the Controls.
Headings | You can reorder the columns in the playlist. Just click and drag the column headings to their desired position. You can also resize columns by dragging the boundary on the right side of the column headings.
Markers | A green marker is used to indicate the current song, and a smaller light blue marker is used to indicate the next song.
Sort Mode | The triangle shows the way the playlist is sorted. In this example, the playlist is sorted by album, going down from A-Z. You can click on column headings to change the order of sorting or the column by which the playlist is sorted.
Playlist | The playlist lists the files in the current album. You can select more than one file in the playlist. Just hold down the Shift or Ctrl key while clicking on the files of your choice. Right click this area for access to the Context menu.
Slider | Shows the current playing position of the file. You can change the current position by clicking and dragging the pointer to a new position. You can also use the keys 0-9 to quickly go to position 0%-90% of the song while it is playing You can press Ctrl-C to save a position in a song and Ctrl-V to play back from that position. You can save and restore a second set of positions using Shift-Ctrl-C and Shift-Ctrl-V.
Taskbar | Hold your cursor over this icon to see information on the currently playing song. Right click this area for access to the Taskbar context menu.
Back to the top

Display

Position | Displays the current position of the playing song. You can click here to toggle between Elapsed Time and Remaining Time.
Length | Displays the total length of all selected songs. Songs whose length are not yet known are not added to the total.
Song | Displays the number of the currently playing song. Click here to highlight the current song in the playlist.
Total | Displays the total number of songs in the playlist.
Play status | Displays whether Carlanthano is playing, paused, or stopped. Click here to play/pause.
Playmode | Displays the current playmode. Click here to toggle between Normal, Shuffle, Categories, Program, and Repeat 1.
Repeat All | Displays whether Repeat All is set. Click here to toggle on/off.
Volume | Click here to display the volume control popup.
Back to the top

Controls

Play | Plays selected file.
Pause | Pauses or resumes play.
Stop | Stops playing.
Last | Returns to the start of the current file or goes to the last played file if already near the start of the current file.
Back | Moves back 1.5% within the same file. For files over 10 minutes long, moves 10 seconds.
Forward | Moves forward 1.5% within the same file. For files over 10 minutes long, moves 10 seconds.
Next | Skips to the next file.
Eject | Opens/closes the CD tray
Normal | Sets playmode to play files in sequential order.
Shuffle | Sets playmode to play files in random order. You can configure settings in the options pages.
Categories | Sets playmode to play in random order by categories, according to how you have set up your categories in the options pages. Double click or use the tools menu to edit custom mix.
Program | Sets playmode to play in program mode. Double click or use the tools menu to edit program.
Repeat 1 | Sets playmode to play a single file.
Repeat All | Sets playmode to repeat playing the playlist again when it has finishes.
Music scan | Sets playmode to play a small portion of each song before moving onto the next. You can configure settings in the options pages.
Elapsed | Sets time mode to display how much of a file has been played.
Remaining | Sets time mode to display how much of a file is left.
Back to the top

Playlist context menu

Playlist Context Menu

Move up / down | Moves the selected item up / down in the playlist. Not available when the playlist is sorted.
Set as next song | Sets the selected song as the next song to be played, regardless of the current playmode.
Information | Opens the song information window.
File properties | Displays the system file properties for the selected file.
Open container | Opens the folder which contains the selected file.
Show lyrics | Opens a new window and displays the lyrics file if found. Lyrics can be plain text or html files.
Back to the top

Taskbar context menu

Taskbar Context Menu

Play | See the Play Menu.
Modes | See the Modes Menu.
Information | Opens the song information window.
File properties | Displays the system file properties for the selected file.
Open container | Opens the folder which contains the selected file.
Show lyrics | Opens a new window and displays the lyrics file if found. Lyrics can be plain text or html files.
Exit | Exits Carlanthano.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Menus

[ Album Menu ]
[ Add Submenu ]
[ Edit Menu ]
[ View Menu ]
[ Play Menu ]
[ Modes Menu ]
[ Tools Menu ]
[ Remove Submenu ]
[ Sort Submenu ]
[ Mark Submenu ]
[ Help Menu ]

Album Menu

Add to album... | Displays the add submenu. See below.
New | Closes the current album and opens a new empty album.
Open... | Closes the current album and opens an existing album.
Save | Saves the current album.
Save as... | Saves a copy of the current album under a new name.
Close | Closes the current album.
Close without saving | Closes the current album without saving any changes made since the last save.
Print... | Prints the playlist using the default printer.
Recent albums | Shows recently opened albums.
Exit | Exits Carlanthano.
Back to the top

Add Submenu

Add Files... | Browse for files to add to playlist. There is a buffer limit of around 12KB on the length of the filenames you add. If you wish to add many hundreds of files and it doesn't work, please either use Add Folder or add them in several tries.
Add Folder... | Add files from a folder and all its subfolders. Use this to add many files at once.
Append an album... | Adds the contents of an existing album to the current album.
Import... | Imports a playlist containing a list of files.
Back to the top

Edit Menu

Select all | Selects all files in the playlist.
Go to current | Highlights the currently playing file in the playlist.
Go to next | Highlights the next file to be played in the playlist, if one is selected.
Find... | Displays the find window. Finds a file in the playlist matching your criteria.
Find next | Finds the next specified file using the same criteria as the last find.
Find next checked | Finds the next checked file in the playlist.
Information | Opens the song information window.
Batch edit... | Opens a new window for setting file information to a large number of files at once.
Edit program... | Opens the edit program window for program mode.
Edit custom mix... | Opens the edit custom mix window for categories mode.
Back to the top

View Menu

Normal | Displays the console in normal mode. Same as show all elements.
Compact | Displays the console in compact mode. Same as hide all elements.
File properties | Displays the system file properties for the selected file.
Open container | Opens the folder which contains the selected file.
Show lyrics | Opens a new window and displays the lyrics file if found. Lyrics can be plain text or html files.
Back to the top

Play Menu

Play | Plays selected file.
Pause | Pauses or resumes play.
Stop | Stops playing.
Last | Returns to the start of the current file or goes to the last played file if already near the start of the current file.
Back | Moves back within the same file.
Forward | Moves forward within the same file.
Next | Skips to the next file.
Set as next song | Sets the selected song as the next song to be played, regardless of the current playmode.
Set play rate... | Opens a window for selecting the speed to play the current song. Please note that not all files support all playback speeds.
Back to the top

Modes Menu

Normal | Sets playmode to play files in sequential order.
Shuffle | Sets playmode to play files in random order. You can configure settings in the options pages.
Categories | Sets playmode to play in random order by categories, according to how you have set up your categories in the options pages.
Program | Sets playmode to play in program mode. Create or modify a program using the tools menu.
Repeat 1 | Sets playmode to play a single file.
Repeat All | Sets playmode to repeat playing the playlist again when it has finishes.
Music scan | Sets playmode to play a small portion of each song before moving onto the next. You can configure settings in the options pages.
Time Elapsed | Sets time mode to display how much of a file has been played.
Time Remaining | Sets time mode to display how much of a file is left.
Back to the top

Tools Menu

Move files... | Opens a window for moving selected or checked songs and lyrics from a specified location to a new location. Useful for rearranging how you store your songs.
Remove... | Displays the remove submenu. See below.
Primary and Secondary Sort... | Displays the sort submenus. The primary sorting order is also shown by the triangle in the playlist headings. See below.
Mark... | Displays the mark submenu. See below.
Disable controls | Prevents accidental changes while recording, etc. Hides the control buttons and disables control thru the display area. Warning: menu shortcuts are still available.
Scheduler... | Opens the scheduler window.
Get all song lengths | Fills in song lengths for all songs in the playlist. Does not update existing song lengths.
Options... | Opens the options window.
Back to the top

Remove Submenu

Selected | Removes selected files from the playlist.
Checked | Removes checked files from the playlist.
Duplicates | Removes multiple listings of the same file from the playlist. Duplicates are defined as files with the same path.
Dead files | Removes listings of files that do not exist on your hard disk.
Physically delete selected | Permanently deletes the selected song and optionally their associated lyrics files from your hard disk. Warning: you will not be able to play these files again once you delete them. If a folder is left empty after deleting a song, this will ask whether you wish to also delete the folder.
Back to the top

Sort Submenu

by Title, Artist, Album, Length, Category | Sorts the playlist by the specified option. You can also sort by clicking on the column headings.
No Sort | Turns off playlist sorting. You can move items around using the popup menu or the / and * keys.
Back to the top

Mark Submenu

Played | Marks files which will not be played again this round. If a file is allowed to play twice in a round, it will not be marked until it has played both times.
Duplicates | Marks multiple listings of the same file from the playlist. Duplicates are defined as files with the same path.
Dead files | Marks listings of files that do not exist on your hard disk.
Lyrics exist | Marks files whose lyrics file is found on your hard disk.
Show checkmarks | Show checkmarks in the playlist
Hide checkmarks | Hide the checkmarks in the playlist
Invert checkmarks | Inverts the checkmarks so that everything that was checked becomes unchecked and everything unchecked becomes checked.
Back to the top

Help Menu

View help... | Displays this page.
Tips... | Displays Tips window.
KanastaCorp websites | Shows links to KanastaCorp websites.
Register... | Displays the registration window.
About... | Displays important information about Carlanthano.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Song Information

Buttons
Save | Saves the current information to the playlist.
Next Song | Shows the information for the next song in the playlist.
Revert | Discards any changes made in this window and reverts to the information in the playlist.
ID3 | Shows a popup menu allowing you to read, save, and delete ID3 tags for the current song.
Close | Closes this window.
Advanced -> | Shows/hides the advanced fields in this window.
Fields
Title, Artist, Album, Track, Year, Genre | Enter any information you like in these fields.
Path | This is the location of the file that this information pertains to. Double click here to browse for a file.
Lyrics | This is the location of the lyrics file for this file. Double click here to browse for a file. This can also be a URL. Lyrics can be plain text or html files. Use the options page to set up HTML Lyrics.
Favorites | You can allow your favorite songs to play more times per round in shuffle mode and categories mode by entering a number here. For example, if you enter 1 here then the song will play once more than other songs with 0 entered per round.
Category | Here you can assign a category to the file. Use the options page to set up playback in categories mode.
Comments | Add any comments you wish here. To add a tab, press Ctrl-Tab. To add a new line, press Ctrl-Enter.
Advanced Fields
Start at | When playing the song, playback will commence this many seconds from the beginning. Useful to cut out unwanted silence.
End at | When playing the song, playback will stop this many seconds from the end. Useful to cut out unwanted silence.
Volume | If selected, the song will be played at a the set volume rather than at the default.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Find Song

Buttons
Find | Finds the first song in the playlist matching your criteria
Find Next | Finds the next song in the playlist matching your criteria
Find All | Marks all songs in the playlist matching your criteria
Clear | Clears all fields in this window
Close | Closes this window
Advanced -> | Shows/hides the advanced fields in this window.
Fields
Enter any combination of information you wish to search for in these fields. Empty fields will match all values.

Advanced fields will not be searched when they are not shown.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Batch Edit

Buttons
Set Selected | Replaces information in all selected songs in the playlist with information in this window
Set Checked | Replaces information in all checked songs in the playlist with information in this window. Use this in conjunction with the Find All button to change values.
Set All | Replaces information in all songs in the playlist with information in this window
ID3 | Shows a popup menu allowing you to read and save ID3 tags for selected or checked songs.
Close | Closes this window
Advanced -> | Shows/hides the advanced fields in this window.
Fields
Enter any combination of information you wish to alter in these fields. Leave fields empty for values you do not wish to alter.

Advanced fields will not be altered when they are not shown.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


The Scheduler

Schedule start playing | If enabled, Carlanthano will start play automatically according to your settings below.
Start playing at | Start playing at a specific time.
Start playing x minutes from now | Start playing in a specified number of minutes.
These settings only take effect after you save your changes using the Apply button or close the window using the OK button. The stop section behaves similarly to the start section.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Options Page

[ Appearance ]
[ Colors ]
[ Fonts ]

[ Behaviour ]
[ ID3 tags ]
[ Keyboard settings ]
[ Window settings ]
[ Video settings ]
[ Album ]
[ Lyrics ]

[ Playback ]
[ Shuffle ]
[ Categories ]
[ Music scan ]

[ Printing ]
[ Colors ]
[ Fonts ]

[ Setup ]
[ Advanced ]
[ Environment ]

Appearance

This section allows you to select what elements are displayed on the console. You can also toggle thru these modes by double clicking on a clear part of the console.

This section allows you to select the icon used in the system tray.

You can also choose whether Carlanthano should appear in the taskbar when minimized. You can use the systray icon to restore Carlanthano.
Back to the top

Colors

This section allows you to select the colors used to display various parts of Carlanthano, including as the playlist, display, and lyrics window.

This section sets the 'hot tracking' color of your system. It is a system wide setting and may not be effective in all systems.
Back to the top

Fonts

This section allows you to select the fonts used to display the specified parts of Carlanthano.

The Others font is effective for all other interface fonts, and is useful for displaying non English characters in places such as the Song Information window.
Back to the top

Behaviour

This section controls how Carlanthano deals with text entirely in UPPERCASE. If selected, words in UPPERCASE will be converted to Title Case the first time a file is added to the playlist.

This section controls how Carlanthano guesses the lyrics filename. If you have a file named "song.mp3", and put the extension as "txt", then the lyrics filename will be set to "song.txt".

This section controls how Carlanthano guesses the artist and album names from the folder the file is contained in.

The name of the containing folder can be used as either the artist or album. Alternatively, it can be used as the album name, and its containing folder will be used as the artist name.
Back to the top

ID3 tags

Read ID3 tags | If enabled, Carlanthano will read ID3 tags from your files when they are first added. ID3v2 tags will take precedence over ID3v1 tags.
Strip unused data from ID3v2 tags | Other programs can store extra data in ID3v2 tags which Carlanthano does not use. If selected, all data not used by Carlanthano will be cleared when saving ID3v2 tags. If you are unsure what this means, please leave this setting off.

Not all files will work correctly with ID3v2 tags. This section allows you to control which file extensions are compatible with ID3v2 tags. Incompatible files will only have ID3v1 tags saved to them.
Back to the top

Keyboard Settings

This section allows you to select the keyboard shortcuts used for the Console controls. If the selected shortcuts are used by other parts of Carlanthano and/or other programs, they may not work.
Back to the top

Windows Settings

Windows Settings 1

EasyMove | This allows you to move Carlanthano windows by dragging on any part of its window.
Snap to screen | If enabled, when any window is near the edge of the screen or another window, the window align to that edge. This option can only be enabled if EasyMove is selected.
Snap to screen activation | This determines the number of pixels from the edge of a screen that snap to screen activates. The default value is 12.

Windows Settings 2

This option will keep Carlanthano windows above all other normal windows. This is useful if you wish to have Carlanthano visible on your screen at all times.
You may choose to have all Carlanthano windows above other normal windows, or just the lyrics/video windows above other normal windows.
Back to the top

Video Settings

This option controls how large videos should be displayed.
Back to the top

Album

Allow duplicate listings | If selected, Carlanthano will allow multiple listings of the same file to be added to the playlist. Otherwise, whenever a file is added to the playlist, Carlanthano will check whether it already exists in the playlist.
Remove duplicates when loading | If selected, Carlanthano will search for and remove multiple listings of the same file in an album when it is loaded. Deselect this to make albums load more quickly.
Start playing automatically | If selected, Carlanthano will automatically start playing a file whenever an album is loaded.

Autosave album | If selected, Carlanthano will automatically save any changes to the album when you close it.
Make backups when saving | If selected, Carlanthano will backup albums with a .bak extension whenever they are saved.

If this is selected, Carlanthano automatically save new albums as Carlan.def in Carlanthano's folder.

Be warned, however, that previous versions will be overwritten each time without confirmation.

If Autosave album is not selected, Carlanthano will still ask you whether you wish to save the album.
This is mainly used if you often play some files in Carlanthano without wanting to save the album specifically.
Back to the top

Lyrics

This section allows you to control whether Carlanthano should automatically try to determine whether the lyrics file exists, and what to do in each case.

Lyrics can be plain text or html files. This section allows you to control which file extensions should be treated as html files.
Back to the top

Playback

This section allows you to control what Carlanthano does when there is a problem trying to play a file.

If you select one of the bottom two options, Carlanthano will still notify you if 10 consecutive files could not be played.

This section allows you to choose the number of seconds that file playback should overlap. If this is set to 5, then 5 seconds before the currently playing file finishes, the next file will try to play, allowing you to eliminate any pauses between file playback.

If this is selected, the play history will be reset whenever you change playmodes. If cleared, play history will only be reset if you press stop when playback is already stopped.
Back to the top

Shuffle

You can allow files to play more than once in shuffle mode. If you do this, then a file will not have to wait for the whole round to finish before it has a chance to play again. If this is set to 1, then a round is playing each file in the playlist once.
To allow only your favorite files to play more times per round than others, you can use the favorites setting in the Song Information section.

You may want to make sure that files do not play too soon again after it has played once. This section allows you to specify how many files must be played before a file is repeated.

This section allows you to specify how often files by the same artist can be played.
Back to the top

Categories

This section allows you to set up playback in categories mode. Name the categories anything you like, and then enter how many times you want each category to play in a round in the frequency column.

For example, you may wish to set up categories according to fast and slow songs, and have one fast song play for every three slow songs. To do that, you would set 1 for the frequency for the fast songs, and 3 for the frequency for the slow songs.

Other ideas for categories may be by music type, mood, language, decade.

You assign categories to songs in the Song Information section.
To allow only your favorite files to play more times per round than others, you can use the favorites setting in the Song Information section.

Select this option to use the custom mix to control categories playback instead of the frequencies above. Custom mix allows you to control exactly when each category is played.
Back to the top

Music scan

Music scan plays a small portion of each song before moving onto the next. This allows you to get a brief overview of each song in an album.

This section allows you to choose how many seconds are played before moving on to the next file.
Back to the top

Printing

This section allows you to specify a title to be printed at the top of each page.

This can be more than one line long. To add the name of the album, use a %a. To add a tab, press Ctrl-Tab. To add a new line, press Ctrl-Enter.
Back to the top

Colors

This section allows you to select the colors used for printing.
Back to the top

Fonts

This section allows you to select the fonts used for printing.
Back to the top

Setup

This section allows you to choose which file extensions you wish to associate with Carlanthano, and the icons used to represent them. Each file type can have a different icon.

This section allows you to specify which icons are used to represent Carlanthano albums in Windows.
Back to the top

Advanced

This section is for advanced users only. Please be careful about setting too high a priority, as it may have an impact on your other programs and may make your system unstable.
Back to the top

Environment

This section allows you to choose how many recent files are remembered and displayed in the recent files menu.

If selected, the options in the options page will be saved when you exit Carlanthano.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Notes

General

  • This program is free only for private and personal use. If you are a corporate user, you are required to purchase a license. Please purchase a license from our website.
  • If you are a private user, you can still support us by sending a donation.
  • Please visit our webpage to obtain the latest versions of this software. You can also send us any comments, suggestions, or bug reports, and join our community to receive the latest announcements from KanastaCorp.
  • This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

Shuffle mode

  • This shuffle history is saved with every album.
  • The shuffle history is reset when you press stop again when the album is already stopped.
  • The shuffle history can also be reset when you change the playmode. See the Playback options

Categories mode

  • In categories mode, each category acts like a mini-album in shuffle mode. When all the files in a category are played, they get repeated independently of other categories.
  • Categories mode acts as if Repeat All is always on.
  • Custom mix programs are saved with each album.

Program mode

  • Programs are saved with each album.
  • In program mode the play button will always play the currently selected song. The next song will then be selected from the next program step. This is to allow you to stop a program and restart it at the same step.
  • The current program step is saved with each album.

ID3 tags

  • Carlanthano will try to read ID3 information from a file the first time you add it to an album. After that, the information in the album is used. Changes made to the album are not automatically saved to the ID3 tag.
  • If you try to read ID3 information from a file, and some fields in the tag are empty, the information already in the album for those fields are not overwritten.
  • Some fields in the ID3 tag have limitations on its maximum length. In this case, Carlanthano will truncate the information before saving it to the tag.
  • Not all files will work correctly after an ID3v2 tag is added to it. Please use the ID3 tags options to specify which file extensions are compatible.
  • Windows Media Player automatically creates ID3v2 tags after playing some file types.
  • Windows Media Player creates 2 private fields in ID3v2 tags. These fields are not deleted by Carlanthano.

Saving settings

  • The playmode and repeat all settings are saved individually with each album. This allows you for example to have your regular songs play in random order, while having a recording of a concert played in sequential order, without having to change the settings manually!
  • Settings in the options window are global.

Drivers

  • Carlanthano REQUIRES Windows Media Player version 9 or higher to provide the minimum necessary codecs.
  • 3rd party drivers may provide support for additional file formats. If you know of any such drivers, please let us know.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


FAQ

  1. Where is the volume control?

    2. The volume control is located in the Display in the console. It is the triangle on the lower right corner.

  2. I can't play <something> format files with Carlanthano. Why?

    3. Carlanthano uses WMP compatible codecs to play files. A set of known drivers are listed on Carlanthano's website. It is recommended that you install all of these drivers to enable Carlanthano to play a variety of files. Carlanthano REQUIRES Windows Media Player version 9 or higher to provide necessary codecs.

    If you have that installed, but you can't play some simple formats like WAV or MID, then you have a problem with your windows setup. Follow the instructions for the question "Carlanthano used to work, but doesn't work properly anymore. What should I do?"

  3. I have this really cool <something> file I can play with my super XYZ player, but when I plug it into Carlanthano, I get an error and it doesn't play. Why?

    4. Just because your super XYZ player can play a file, it doesn't mean that Carlanthano can. Carlanthano uses WMP drivers to play files, it doesn't play the files itself. The first step is by installing Windows Media Player version 9 or higher. Once you have that installed you will be able to play many multimedia formats, including MP3.

  4. I have a file I used to be able to play, but I can't anymore!

    5. Sometimes, some programs or even windows may add headers to the front of the file. Different programs may add different headers, and from time to time, these may become mangled and prevent the file from being played. If this happens, you may have to delete the headers from the start of the file using a hex editor. The headers usually take up 1-2KB of the file.

  5. Carlanthano's stuttering. What can I do to reduce this?

    6. This depends on the cause of the stuttering. Usually it is a CPU speed problem. This may mean that your CPU cannot handle running many programs and playing a file at the same time. Decoding mp3 files or other compressed files is quite CPU intensive. Try to close down unnecessary programs. Also, keep Carlanthano minimised to reduce CPU usage.

    Sometimes, it may be another problem. It has been reported that if you mix RAM types, this may cause a bit of stuttering. Check to see if this is the case in your computer. Lastly, it may be your hard disk. Make sure your hard disk is defragmented and run scandisk to make sure it is free of errors.

  6. There's this file that I have which plays fine using Windows Media Player, and yet Carlanthano still cannot play it. Why?

    7. There are some files which are not actual multimedia files, but files containing a list of one or more multimedia files. An example of this are M3U playlists or some RAM files. You can try opening these with a text editor to locate where the real file is.

  7. What is this little blue ? icon in the playlist next to my file? Why doesn't it show the normal icon for it?

    8. The blue ? icon in the playlist indicates that Carlanthano could not find the specified file. Check that the path information for the file you have selected is valid.

  8. How do I control the size of the videos Carlanthano plays?

    9. Carlanthano does not control the size of the videos it plays. Instead, you can set it in your Control Panel. Choose Multimedia->Video and set the size there.

  9. The File properties and/or Open containing folder features don't work!

    10. If you have Always on top set, then the file properties or explorer window may be hidden behind Carlanthano's windows. Also, make sure that the path information for the file you have selected is valid.

  10. I tried to run Carlanthano but it gives me an error about a DLL. What should I do?

    11. Make sure you install the full version of Carlanthano, which will install and register necessary DLLs automatically. When you are updating a DLL from a beta, you can replace old DLL without having to register the new version manually. Take note that some DLLs need to be kept in the windows\system(32) folder to function.

    Sometimes you will get an error that KanastaCorpUtils.dll is not found, even though it is in your windows\system(32) folder. This may be caused by other missing/outdated windows DLLs used by KanastaCorpUtils.dll. Try to install the Comctl32 and MFC files from the support files section of the KanastaCorp webpage

  11. I tried to run Carlanthano but it gives me an error about an OCX. What should I do?

    12. You do not have the required version of a necessary OCX file. Try installing the full version of Carlanthano.

  12. Carlanthano used to work, but doesn't work properly anymore. What should I do?

    13. Are you running any other sound programs? If so, close them, they may be holding the sound devices. Try rebooting your computer. Does it work again now? If not, follow the instructions for the question "Carlanthano crashed or doesn't work properly! What should I do?"

  13. Carlanthano crashed or doesn't work properly! What should I do?

    14. If it happens repeatedly, then follow these steps:

    1. Uninstall Carlanthano and reboot.
    2. Check if the Carlanthano install directory still exists. If it does, delete any unwanted files in it.
    3. Install the full version of Carlanthano again.

    If these steps don't work, then there may be a problem with your windows setup. Believe us, Carlanthano does work for most people. Here are a few things you might try to resolve your windows problem:

    • If you are low on disk space, try to clear some space.
    • Run scandisk with the surface test option on all of your disks.
    • If all else fails, you may have to reinstall windows to fix the problem.

    Check the FAQ and Troubleshooting sections on the webpage for latest developments. If that doesn't help, then use the bug report form on the webpage to contact us. Sending an email instead of using the form will delay processing of your incident.

Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.


Troubleshooting

DLLs and OCXs

  • Usually error messages and crashes are caused by missing DLLs or incorrect versions of DLLs. The first step is to get the latest, from the support area of the webpage. You will need the MFC and VB Runtime files. The CAB file can be opened with a program such as Winzip. Reboot after installing.
  • Carlanthano requires COMCTL32.DLL version 4.72 or later to run properly. If you get an error message about having the wrong version of COMCTL32.OCX, the problem may actually be that your version of COMCTL32.DLL is an older version. You can download the correct version from the webpage.
  • You also need the correct version of KanastaCorpUtils.dll and KanastaCorpComCtrls.dll. These can be obtained from the support area of the webpage.

General

  • See the FAQ and see if your problem is solved there
  • Be sure you have the latest version of Carlanthano. Many problems may have been solved in the latest version. If you send a bug report about a problem in an old version of Carlanthano, your report will not be processed.
  • If you have any other repeatable problems which cannot be solved using the steps above, please use the bug report form on the KanastaCorp webpage.
Back to the top
© Copyright 1996-2004 KanastaCorp. No unauthorised copying or distribution allowed.